[CLOUD_DETAILS]
# cloud manager types - OPEN_NEBULA, SHIPYARD
CLOUD_MANAGER = SHIPYARD
# hypervisor types - DOCKER, QEMU-KVM, XEN, KVM
# only first two types are supported
HYPERVISOR = DOCKER

#CLOUD_HOST_CPU_CAPACITY = 4
CLOUD_HOST_CPU_OVERBOOKING = 2
#CLOUD_HOST_MEMORY_CAPACITY = 12
#CLOUD_HOST_MEMORY_OVERBOOKING = 1

[SERVERS]
# SHIPYARD
CLOUD_MANAGER_IP = *.*.*.*
CLOUD_MANAGER_PORT = 8080
CLOUD_MANAGER_API_KEY = NzpEuR2gG0z.U5Zp5NHLkCAdTQdHsjSPes4W
# Shipyard is not performing well, invoking the requests directly
CONTAINER_HOST_PORT = 4243

[SCHEDULING_DETAILS]
# sim resource allocaiton policy
ALLOCATION_POLICY = DEADLINE
# how freequently new schedule should be found in secs
SIM_SCHEDULER_FREQUENCY = 2
# simulation status update frequency in secs
SIM_STATUS_UPDATE_FREQUENCY = 1

[SIMULATION_DETAILS]
VALID_SIMS = FIVE_ROOM,SUMO_TRAFFIC
# value in percent
RESOURCE_MARGIN = 10

# OPEN_NEBULA
#CLOUD_MANAGER_IP = *.*.*.*
#CLOUD_MANAGER_PORT = 8000

# DOCKER
IMAGE_REGISTRY_IP = *.*.*.*
IMAGE_REGISTRY_PORT = 5000

# OPEN NEBULA / KVM
#IMAGE_REGISTRY_IP = *.*.*.*
#IMAGE_REGISTRY_PORT = 8000

# Performance data collector location
#PERF_DATA_COLLECTOR_IP = *.*.*.*
#PERF_DATA_COLLECTOR_PORT = 4444



[HOST]
PORT = 9999

